import { RealDrawBoard } from './RealDrawBoard';
import { Tool, ToolSettings } from './tools/tools';
/**
 * Change the currently selected tool on the draw board.
 * @param newTool
 * @returns Self for chaining.
 */
export declare function changeTool(this: RealDrawBoard, newTool: Tool): RealDrawBoard;
/**
 * Change a tool setting.
 * @param settingName Name of the tool setting.
 * @param value New value for the setting.
 * @returns Self for chaining.
 */
export declare function changeToolSetting<SettingName extends keyof ToolSettings>(this: RealDrawBoard, settingName: SettingName, value: ToolSettings[SettingName]): RealDrawBoard;
/**
 * Clear all tool previews.
 * @returns Self for chaining.
 */
export declare function clearPreview(this: RealDrawBoard): RealDrawBoard;
/**
 * Clear the board without resetting any parameters.
 * @returns Self for chaining.
 */
export declare function clear(this: RealDrawBoard): RealDrawBoard;
/**
 * @internal
 */
export declare function _resetBoard(this: RealDrawBoard): RealDrawBoard;
