import { StrokeNodeData, SVGSection, StrokeNodeType } from '../../../types/RealRendererTypes';
export declare class Node<NodeType extends SVGElement, StrokeNodeT extends StrokeNodeType> {
    node: NodeType;
    section: SVGSection;
    elementName: string;
    strokeNodeType: StrokeNodeT;
    constructor(section: SVGSection, elementName: string, strokeNodeType: StrokeNodeT);
    export(): StrokeNodeData;
    import(data: string): void;
    setStroke(stroke: string): void;
    setFill(fill: string): void;
    setStrokeWidth(width: number): void;
    setDashed(dashColor: string): void;
    setId(id: string): void;
    setClassName(className: string): void;
    delete(): void;
}
