"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Node = void 0;
var Node = /** @class */ (function () {
    function Node(section, elementName, strokeNodeType) {
        var path = document.createElementNS('http://www.w3.org/2000/svg', this.elementName);
        this.elementName = elementName;
        this.strokeNodeType = strokeNodeType;
        this.node = path;
        this.section = section;
    }
    Node.prototype.export = function () {
        return {
            type: this.strokeNodeType,
            data: this.node.outerHTML.toString(),
            section: this.section
        };
    };
    Node.prototype.import = function (data) {
        var wrapper = document.createElementNS('http://www.w3.org/2000/svg', 'svg');
        wrapper.innerHTML = data;
        this.node = wrapper.firstChild;
        wrapper.removeChild(this.node);
        wrapper.remove();
    };
    Node.prototype.setStroke = function (stroke) {
        this.node.setAttribute('stroke', stroke);
    };
    Node.prototype.setFill = function (fill) {
        this.node.setAttribute('fill', fill);
    };
    Node.prototype.setStrokeWidth = function (width) {
        this.node.setAttribute('stroke-width', width.toString());
    };
    Node.prototype.setDashed = function (dashColor) {
        this.node.setAttribute('stroke-dasharray', '2,2');
        this.setStroke(dashColor);
    };
    Node.prototype.setId = function (id) {
        this.node.setAttribute('id', id);
    };
    Node.prototype.setClassName = function (className) {
        this.node.classList.add(className);
    };
    Node.prototype.delete = function () {
        this.node.remove();
    };
    return Node;
}());
exports.Node = Node;
