"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderPreview = void 0;
/**
 * Renders a preview of the given data to a given separate SVG element.
 * @param data Data to be rendered (exported by using .export()).
 * @param renderTo SVG Element to render to.
 */
function renderPreview(data, renderTo) {
    var exportData = data.exportData, dimensions = data.dimensions;
    renderTo.setAttribute('viewBox', "0 0 " + dimensions[0] + " " + dimensions[1]);
    exportData.forEach(function (strokeExport) {
        strokeExport.forEach(function (strokeNodeData) {
            renderTo.innerHTML += strokeNodeData.data;
        });
    });
}
exports.renderPreview = renderPreview;
